<template>
	<div>
		<v-header :title="title" :is-show-prev-page="true"></v-header>
		<div style="padding:20px;">
			<Ueditor :default-msg="msg2" id="editor" @contentChanged="contentChange"></Ueditor>
		</div>
	</div>
</template>

<script>
import VHeader from '@/common/header/VHeader';
import Ueditor  from "@/common/UEditor";
export default {
	name: 'testUEditor',
	components: {
		VHeader
		,Ueditor
	},
	data() {
		return {
			title: 'testUEditor',
			msg2: 'Welcome to Your Vue.js App',
		};
	},
	methods: {
		init() {},
	    contentChange (val) { // 改变父组件数据
	    	console.log(val);
	      	this.msg2 = val;
	    },
	},
	created() {},
	mounted() {
		this.init();
	}
};
</script>

<style lang="stylus" scoped></style>
